curl --request GET \
--url https://api.dedaluslabs.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"provider": "openai",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"description": "<string>",
"version": "<string>",
"capabilities": {
"text": true,
"vision": true,
"image_generation": true,
"audio": true,
"tools": true,
"structured_output": true,
"streaming": true,
"thinking": true,
"input_token_limit": 123,
"output_token_limit": 123
},
"defaults": {
"temperature": 123,
"top_p": 123,
"top_k": 123,
"max_output_tokens": 123
},
"provider_info": {},
"provider_declared_generation_methods": [
"<string>"
]
}
],
"object": "list"
}curl --request GET \
--url https://api.dedaluslabs.ai/v1/models \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"provider": "openai",
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"description": "<string>",
"version": "<string>",
"capabilities": {
"text": true,
"vision": true,
"image_generation": true,
"audio": true,
"tools": true,
"structured_output": true,
"streaming": true,
"thinking": true,
"input_token_limit": 123,
"output_token_limit": 123
},
"defaults": {
"temperature": 123,
"top_p": 123,
"top_k": 123,
"max_output_tokens": 123
},
"provider_info": {},
"provider_declared_generation_methods": [
"<string>"
]
}
],
"object": "list"
}curl -X GET https://api.dedaluslabs.ai/v1/models \
-H "Authorization: Bearer YOUR_API_KEY"
| Field | Type | Description |
|---|---|---|
id | string | Model identifier with provider prefix (e.g., openai/gpt-4o) |
provider | string | Provider name (openai, anthropic, google, etc.) |
capabilities.text | boolean | Supports text generation |
capabilities.vision | boolean | Supports image input |
capabilities.tools | boolean | Supports tool/function calling |
capabilities.thinking | boolean | Extended reasoning (o1, o3, Claude thinking) |
provider_info.status | string | enabled, preview, or deprecated |
provider_info.upstream_api | string | Which upstream API is used for routing |
Bearer टोकन के माध्यम से API कुंजी का प्रमाणीकरण
Was this page helpful?